package mastodon

import (
	"time"

	"gitlab.com/mstarongitlab/goap"
)

type Person struct {
	Id                string
	Devices           string
	Discoverable      bool
	Featured          string
	FeaturedTags      string
	Indexable         bool
	Memorial          bool
	Inbox             string
	PublicKey         goap.PublicKey
	AlsoKnownAs       string
	Attachments       []goap.Attachment
	Endpoints         map[string]string
	Followers         string
	Following         string
	Icon              goap.Media
	Image             goap.Media
	ApprovesFollowers bool
	Name              string
	Outbox            string
	PreferredUsername string
	Published         time.Time
	Summary           string
	Tags              []goap.Tag
	Url               string
}
